# bmp-byoh
A controller to remove unused byohost when a baremetalpool is in over allocation state.

## Description
When `Bring Your Own Host` Clusterapi provider is used with the broker, ByoHost are created by preprovisionning bareMetalHost with custom userData.

When the baremetalpool is in *over allocation* state, the bmp-byoh controller looks for an unused byohost. If it finds one:
* the *image* field is removed from the spec in the baremetalhost associated with this byohost
* the byohost is deleted


## License

Copyright 2023 Orange.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

